Skip to main content
GET
/
v1
/
google
/
scholar
/
profiles
Search Google Scholar author profiles
curl --request GET \
  --url https://scrapebadger.com/v1/google/scholar/profiles \
  --header 'x-api-key: <api-key>'
import requests

url = "https://scrapebadger.com/v1/google/scholar/profiles"

headers = {"x-api-key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};

fetch('https://scrapebadger.com/v1/google/scholar/profiles', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "query": "<string>",
  "profiles": [
    {
      "name": "<string>",
      "position": 123,
      "author_id": "<string>",
      "link": "<string>",
      "affiliation": "<string>",
      "email_domain": "<string>",
      "cited_by": 123,
      "interests": [
        "<string>"
      ],
      "thumbnail": "<string>"
    }
  ],
  "language": "en",
  "before_author": "<string>",
  "after_author": "<string>"
}
{
  "detail": [
    {
      "loc": [
        "<string>"
      ],
      "msg": "<string>",
      "type": "<string>",
      "input": "<unknown>",
      "ctx": {}
    }
  ]
}

Authorizations

x-api-key
string
header
required

Query Parameters

mauthors
string
required

Author name query (e.g. 'Geoffrey Hinton')

hl
string
default:en

Language code

after_author
string | null

Pagination token for the next page

before_author
string | null

Pagination token for the previous page

Response

Successful Response

Response for GET /api/v1/scholar/profiles.

query
string
required
profiles
ScholarProfile · object[]
language
string
default:en
before_author
string | null

Pagination token for the previous page

after_author
string | null

Pagination token for the next page